server:
  port: 8093
# Spring config
spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  data:
    mongodb:
      uri: mongodb://mongodb:27017/dbImagenesMS
# logs config
logging:
  level:
    org:
      hibernate:
        sql: debug
eureka:
  client:
    fetch-registry: true
    serviceUrl:
      defaultZone: http://eureka:8099/eureka/
management:
  health:
    circuitbreakers:
      enabled: true
  endpoints:
    web:
      exposure:
        include: '*'
  endpoint:
    health:
      show-details: always
resilience4j.circuitbreaker:
  instances:
    personService:
      registerHealthIndicator: true
      slidingWindowSize: 10
      permittedNumberOfCallsInHalfOpenState: 3
      slidingWindowType: COUNT_BASED
      minimumNumberOfCalls: 5
      waitDurationInOpenState: 5s
      failureRateThreshold: 50
      eventConsumerBufferSize: 10